clang-tools 8.0.0

Namespaces | Functions
Trace.cpp File Reference
`#include "Trace.h"`
`#include "Context.h"`
`#include "Function.h"`
`#include "llvm/ADT/DenseSet.h"`
`#include "llvm/ADT/ScopeExit.h"`
`#include "llvm/Support/Chrono.h"`
`#include "llvm/Support/FormatProviders.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include "llvm/Support/Threading.h"`
`#include <atomic>`
`#include <mutex>`
Include dependency graph for Trace.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd
| clang::clangd::trace

## Functions
std::unique_ptr< EventTracer > | clang::clangd::trace::createJSONTracer (llvm::raw_ostream &OS, bool Pretty=false)
| Create an instance of EventTracer that produces an output in the Trace Event format supported by Chrome's trace viewer (chrome://tracing). More...
void | clang::clangd::trace::log (const llvm::Twine &Name)
| Records a single instant event, associated with the current thread. More...
static Context | clang::clangd::trace::makeSpanContext (llvm::Twine Name, llvm::json::Object *Args)